{ lib, ... }: {
  environment.variables = {
    EDITOR = lib.mkDefault (if builtins.hasAttr "SSH_CONNECTION"
    builtins.currentSystemEnvironment then
      "nvim"
    else
      "code");

    # XDG settings
    XDG_CONFIG_HOME = lib.mkDefault "$HOME/.config";
  };

  environment.sessionVariables = {
    # Enable Ozone Wayland support in Chromium and Electron applications
    #TODO - This causes issues with VSCode until the November 2024 release.
    # NIXOS_OZONE_WL = lib.mkDefault "1";
  };
}
